Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.scanimpl
Class FileScan

    java.lang.Object
      org.hyperic.hq.autoinventory.scanimpl.ScanMethodBase
          org.hyperic.hq.autoinventory.scanimpl.FileScan

All Implemented Interfaces:
  ScanMethod, org.hyperic.util.file.match.MatcherInterruptCallback, org.hyperic.util.file.match.MatcherProgressCallback

    public class FileScan

extends ScanMethodBase
implements org.hyperic.util.file.match.MatcherInterruptCallback, org.hyperic.util.file.match.MatcherProgressCallback

This implementation of ScanMethod knows how to scan the filesystem. It can be configured to scan the whole filesystem, or to only scan certain directories while ignoring others. It can also ignore entire filesystems of a particular type, for example network mounted filesystems or CD-ROM drives (ie iso9660 filesystems).

Field Summary
`static String` | `FS_TYPE_ALL`
`static String` | `FS_TYPE_LOCAL`
`static String` | `FS_TYPE_NETWORK`
`static String[]` | `FS_TYPES`

Fields inherited from class org.hyperic.hq.autoinventory.scanimpl.ScanMethodBase
`_authorityLevel, _autoApproveConfig, _config, _scanner, _state`

Constructor Summary
`FileScan()`
`FileScan(boolean isWindows)`

Method Summary
`String` | `getDescription()` Get the description of this ScanMethod.
`String` | `getDisplayName()` Get the human readable name of this ScanMethod.
`boolean` | `getIsInterrupted()`
`String` | `getName()` Get the name of this ScanMethod.
`protected org.hyperic.util.config.ConfigOption[]` | `getOptionsArray()` Subclasses implement this method to return the array of ConfigOptions supported by the scan method.
`void` | `notifyScanDir(File dir)`
`void` | `scan(org.hyperic.util.config.ConfigResponse platformConfig, ServerDetector[] serverDetectors)` Perform a scan for this method.

Methods inherited from class org.hyperic.hq.autoinventory.scanimpl.ScanMethodBase
`getAuthorityLevel, getConfig, getConfigSchema, init, setAuthorityLevel, setScanner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FS_TYPE_ALL

    public static final String FS_TYPE_ALL

See Also:
  Constant Field Values

### FS_TYPE_LOCAL

    public static final String FS_TYPE_LOCAL

See Also:
  Constant Field Values

### FS_TYPE_NETWORK

    public static final String FS_TYPE_NETWORK

See Also:
  Constant Field Values

### FS_TYPES

    public static final String[] FS_TYPES

Constructor Detail

### FileScan

    public FileScan()

### FileScan

    public FileScan(boolean isWindows)

Method Detail

### getName

    public String getName()

  Description copied from interface: `ScanMethod`
  Get the name of this ScanMethod.

  Specified by:
    `getName` in interface `ScanMethod`

### getDisplayName

    public String getDisplayName()

  Description copied from interface: `ScanMethod`
  Get the human readable name of this ScanMethod.

  Specified by:
    `getDisplayName` in interface `ScanMethod`

### getDescription

    public String getDescription()

  Description copied from interface: `ScanMethod`
  Get the description of this ScanMethod.

  Specified by:
    `getDescription` in interface `ScanMethod`

### getOptionsArray

    protected org.hyperic.util.config.ConfigOption[] getOptionsArray()

  Description copied from class: `ScanMethodBase`
  Subclasses implement this method to return the array of ConfigOptions supported by the scan method.

  Specified by:
    `getOptionsArray` in class `ScanMethodBase`
  Returns:
    An array of ConfigOptions for this ScanMethod.

### scan

    public void scan(org.hyperic.util.config.ConfigResponse platformConfig,
                     ServerDetector[] serverDetectors)
              throws AutoinventoryException

  Description copied from interface: `ScanMethod`
  Perform a scan for this method.

  Specified by:
    `scan` in interface `ScanMethod`
  Parameters:
    `platformConfig` - ConfigResponse for the platform
    `serverDetectors` - an array of ServerDetectors to use when scanning.
  Throws:
    `AutoinventoryException` - If an error occurs during the scan.

### getIsInterrupted

    public boolean getIsInterrupted()

  Specified by:
    `getIsInterrupted` in interface `org.hyperic.util.file.match.MatcherInterruptCallback`
  See Also:
    `MatcherInterruptCallback.getIsInterrupted()`

### notifyScanDir

    public void notifyScanDir(File dir)

  Specified by:
    `notifyScanDir` in interface `org.hyperic.util.file.match.MatcherProgressCallback`
  See Also:
    `MatcherProgressCallback.notifyScanDir(java.io.File)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.